#include <bits/stdc++.h>

using namespace std;

static int isplata(long long n){
    if(n == 0)
        return 0;
    else if(n == 1 || n == 2 || n == 5)
        return 1;
    else if(n == 8 || n == 9)
        return 3;
    else
        return 2;
}

int main()
{
    long long cena;
    cin >> cena;
    long long resenje = 0;
    while(cena > 0){
        resenje += isplata(cena % 10);
        cena /= 10;
    }
    cout << resenje;
}